#include <queue>
#include <string>
#include <cstdio>

using namespace std;

struct Pessoa {
    string nome;
    int idade;
    
    bool operator<(const Pessoa& o) const {
        if(nome != o.nome) return nome < o.nome;
        return idade < o.idade;
    }
};

int main() {
    priority_queue<Pessoa> q;
    
    Pessoa p1 = {"Ana"  , 40};
    Pessoa p2 = {"Ana"  , 20};
    Pessoa p3 = {"Mauro", 30};
    Pessoa p4 = {"Zetta", 20};
    Pessoa p5 = {"Atlas", 25};
    
    q.push(p1);
    q.push(p2);
    q.push(p3);
    q.push(p4);
    q.push(p5);
    
    while( !q.empty() ) {
        Pessoa p = q.top();
        q.pop();
        printf("%s : %d\n", p.nome.c_str(), p.idade);
    }
    
    return 0;
}
